%global srcname dirq
Name:		java-dirq
Version:	1.4
Release:	1%{?dist}
Summary:	Directory based queue

Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{name}
Source0:	https://github.com/cern-mig/%{name}/archive/%{srcname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
%if 0%{?rhel} > 1
ExcludeArch:	ppc ppc64
%endif

BuildRequires:	jpackage-utils
BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	ant
%if 0%{?rhel} != 5
BuildRequires:	ant-junit
BuildRequires:	junit4
%endif
BuildRequires:	jna

Requires:	jpackage-utils
Requires:	java >= 1:1.6.0
Requires:	jna

%description
The goal of this module is to offer a simple queue system using the
underlying file system for storage, security and to prevent race
conditions via atomic operations. It focuses on simplicity, robustness
and scalability.

This module allows multiple concurrent readers and writers to interact
with the same queue.

A port of Perl module Directory::Queue and a Python dirq implementation
of the same algorithm are available so readers and writers can be written
in different programming languages.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{srcname}-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build 
mkdir lib
export CLASSPATH=$(build-classpath jna junit4)
build-jar-repository -s -p lib jna
%if 0%{?rhel} != 5
build-jar-repository -s -p lib junit4
%endif
%if 0%{?rhel} == 5
sed -i "s/compile,test/compile/" maven-build.xml
%endif
%if 0%{?rhel} > 1
find src/test -name "*java" -exec rm -f {} \;
%endif
ant -Dmaven.mode.offline=true -Djunit.custom.dependencies=lib
ant javadoc

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
cp -p target/%{srcname}*.jar %{buildroot}%{_javadir}/%{srcname}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{srcname}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{srcname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc license.txt readme.md
%{_javadir}/%{srcname}*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{srcname}/

%changelog
* Tue Jul 16 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.4-1
- Updating to latest version.

* Thu May 30 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.3-3
- Spec file cleaning.

* Fri May 24 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.3-2
- Spec file cleaning.

* Fri May 10 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.3-1
- Updating to upstream version 1.3.

* Thu Mar 14 2013 Massimo Paladin <massimo.paladin@gmail.com> - 1.2-1
- Updating to upstream version 1.2.

* Tue Dec 04 2012 Massimo Paladin <massimo.paladin@gmail.com> - 1.0-1
- Initial packaging.
